> ## Documentation Index
> Fetch the complete documentation index at: https://docs.switch.vaultera.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Disputes - List Disputes

> Lists all the Disputes for a merchant



## OpenAPI

````yaml openapi_spec get /disputes/list
openapi: 3.0.3
info:
  title: Vaultera Switch - API Documentation
  description: >

    ## Get started


    Vaultera Switch provides a collection of APIs that enable you to process and
    manage payments.

    Our APIs accept and return JSON in the HTTP body, and return standard HTTP
    response codes.


    You can consume the APIs directly using your favorite HTTP/REST library.


    We have a testing environment referred to "sandbox", which you can setup to
    test API calls without

    affecting production data.

    Currently, our sandbox environment is live while our production environment
    is under development

    and will be available soon.

    You can sign up on our Dashboard to get API keys to access Vaultera Switch
    API.


    ### Environment


    Use the following base URLs when making requests to the APIs:


    | Environment   |  Base URL                          |

    |---------------|------------------------------------|

    | Sandbox       | <https://sandbox.test.switch.vaultera.co>   |

    | Production    | <https://api.test.switch.vaultera.co>       |


    ## Authentication


    When you sign up on our [dashboard](https://app.test.switch.vaultera.co) and
    create a merchant

    account, you are given a secret key (also referred as api-key) and a
    publishable key.

    You may authenticate all API requests with Vaultera Switch server by
    providing the appropriate key in

    the request Authorization header.


    | Key             | 
    Description                                                                                 
    |

    |-----------------|-----------------------------------------------------------------------------------------------|

    | api-key         | Private key. Used to authenticate all API requests from
    your merchant server                  |

    | publishable key | Unique identifier for your account. Used to authenticate
    API requests from your app's client  |


    Never share your secret api keys. Keep them guarded and secure.
  contact:
    name: Vaultera Switch Support
    url: https://vaultera.co
    email: support@vaultera.co
  license:
    name: Apache-2.0
  version: 0.1.0
servers:
  - url: https://api.test.switch.vaultera.co
    description: Sandbox Environment
  - url: https://api.switch.vaultera.co
    description: Sandbox Environment
security: []
tags:
  - name: Merchant Account
    description: Create and manage merchant accounts
  - name: Profile
    description: Create and manage profiles
  - name: Merchant Connector Account
    description: Create and manage merchant connector accounts
  - name: Payments
    description: Create and manage one-time payments, recurring payments and mandates
  - name: Refunds
    description: Create and manage refunds for successful payments
  - name: Mandates
    description: Manage mandates
  - name: Customers
    description: Create and manage customers
  - name: Payment Methods
    description: Create and manage payment methods of customers
  - name: Disputes
    description: Manage disputes
  - name: API Key
    description: Create and manage API Keys
  - name: Payouts
    description: Create and manage payouts
  - name: payment link
    description: Create payment link
  - name: Routing
    description: Create and manage routing configurations
  - name: Event
    description: Manage events
paths:
  /disputes/list:
    get:
      tags:
        - Disputes
      summary: Disputes - List Disputes
      description: Lists all the Disputes for a merchant
      operationId: List Disputes
      parameters:
        - name: limit
          in: query
          description: The maximum number of Dispute Objects to include in the response
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
        - name: dispute_status
          in: query
          description: The status of dispute
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/DisputeStatus'
            nullable: true
        - name: dispute_stage
          in: query
          description: The stage of dispute
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/DisputeStage'
            nullable: true
        - name: reason
          in: query
          description: The reason for dispute
          required: false
          schema:
            type: string
            nullable: true
        - name: connector
          in: query
          description: The connector linked to dispute
          required: false
          schema:
            type: string
            nullable: true
        - name: received_time
          in: query
          description: The time at which dispute is received
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: received_time.lt
          in: query
          description: Time less than the dispute received time
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: received_time.gt
          in: query
          description: Time greater than the dispute received time
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: received_time.lte
          in: query
          description: Time less than or equals to the dispute received time
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: received_time.gte
          in: query
          description: Time greater than or equals to the dispute received time
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
      responses:
        '200':
          description: The dispute list was retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DisputeResponse'
        '401':
          description: Unauthorized request
      security:
        - api_key: []
components:
  schemas:
    DisputeStatus:
      type: string
      description: Status of the dispute
      enum:
        - dispute_opened
        - dispute_expired
        - dispute_accepted
        - dispute_cancelled
        - dispute_challenged
        - dispute_won
        - dispute_lost
    DisputeStage:
      type: string
      description: Stage of the dispute
      enum:
        - pre_dispute
        - dispute
        - pre_arbitration
    DisputeResponse:
      type: object
      required:
        - dispute_id
        - payment_id
        - attempt_id
        - amount
        - currency
        - dispute_stage
        - dispute_status
        - connector
        - connector_status
        - connector_dispute_id
        - created_at
      properties:
        dispute_id:
          type: string
          description: The identifier for dispute
        payment_id:
          type: string
          description: The identifier for payment_intent
        attempt_id:
          type: string
          description: The identifier for payment_attempt
        amount:
          type: string
          description: The dispute amount
        currency:
          $ref: '#/components/schemas/Currency'
        dispute_stage:
          $ref: '#/components/schemas/DisputeStage'
        dispute_status:
          $ref: '#/components/schemas/DisputeStatus'
        connector:
          type: string
          description: connector to which dispute is associated with
        connector_status:
          type: string
          description: Status of the dispute sent by connector
        connector_dispute_id:
          type: string
          description: Dispute id sent by connector
        connector_reason:
          type: string
          description: Reason of dispute sent by connector
          nullable: true
        connector_reason_code:
          type: string
          description: Reason code of dispute sent by connector
          nullable: true
        challenge_required_by:
          type: string
          format: date-time
          description: Evidence deadline of dispute sent by connector
          nullable: true
        connector_created_at:
          type: string
          format: date-time
          description: Dispute created time sent by connector
          nullable: true
        connector_updated_at:
          type: string
          format: date-time
          description: Dispute updated time sent by connector
          nullable: true
        created_at:
          type: string
          format: date-time
          description: Time at which dispute is received
        profile_id:
          type: string
          description: The `profile_id` associated with the dispute
          nullable: true
        merchant_connector_id:
          type: string
          description: >-
            The `merchant_connector_id` of the connector / processor through
            which the dispute was processed
          nullable: true
    Currency:
      type: string
      description: >-
        The three letter ISO currency code in uppercase. Eg: 'USD' for the
        United States Dollar.
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWL
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api-key
      description: >-
        Use the API key created under your merchant account from the Vaultera
        Switch dashboard. API key is used to authenticate API requests from your
        merchant server only. Don't expose this key on a website or embed it in
        a mobile application.

````